Taxeditor uses CdmTransientEntityCacher from cdmlib-cache
03/22/2018 09:52 AM - Andreas Kohlbecker
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.0

Severity: normal

Description

By solving #7206 the CdmTransientEntityCacher has been moved from the taxeditor project into a new cdmlib module.

The Taxeditor now needs to be adapted so that it also uses the Cacher provided by the new package.

Related issues:
Related to EDIT - bug #7206: CdmEntityCache not correctly updating with entit... Closed

Associated revisions

Revision f4cc04f2 - 03/16/2018 02:40 PM - Katja Luther

adapt taxeditor cache to cdmlib-cache

Revision 4b5b85e0 - 03/16/2018 02:47 PM - Katja Luther

adapt tests to cdmlib-cache

Revision 26b93df0 - 03/16/2018 02:49 PM - Katja Luther

minor

Revision 3fd86b55 - 03/16/2018 02:54 PM - Katja Luther

missing test adaption for cdmlib-cache

Revision 6034c463 - 03/16/2018 04:17 PM - Katja Luther

fix using correct cache

Revision 1c9d09b9 - 03/22/2018 03:47 PM - Andreas Kohlbecker
ref #7325 applying taxeditor changeset (98baf5f ref #6389) onto cdmlib-cache

History

#1 - 03/22/2018 09:52 AM - Andreas Kohlbecker
- Related to bug #7206: CdmEntityCache not correctly updating with entitiy graphs loaded afterwards added

#2 - 03/22/2018 09:53 AM - Andreas Kohlbecker
Hallo Katja,
das sollte relativ einfach sein:
1. Subclass von CdmTransientEntityCacher: Zb: ConversationalTransientEntityCacher, Diese klasse implemntiert dann all die Methoden die im
CdmTransientEntityCacher auskommentiert wurden.

2. Alle Klassen die in eu.etaxonomy.cdm.cache vorkommen im editor I6schen.

Viele GruB3e
Andreas

#3 - 03/22/2018 09:57 AM - Andreas Miiller

- Description updated

#4 - 03/22/2018 09:57 AM - Andreas Mdiller
https://dev.e-taxonomy.eu/redmine/issues/7206

- Status changed from New to Resolved

- Assignee changed from Andreas Miller to Andreas Kohlbecker

#5 - 03/22/2018 10:41 AM - Andreas Kohlbecker

- Description updated

- Status changed from Resolved to Closed

- Assignee changed from Andreas Kohlbecker to Katja Luther
- Priority changed from New to Highest

- % Done changed from 0 to 50

Hi Katja,

| did reviewing your changes.

All Classes which have moved to cdmlib-cache are removed from the taxeditor. And the switch to the classes now provided by the cdmlib-cache
package looks clean and ok. Since the integration tests are all running successful | consider this taks as completed.

Andreas

#6 - 03/22/2018 10:42 AM - Andreas Kohlbecker

- Description updated

#7 - 03/22/2018 03:46 PM - Andreas Kohlbecker

- Status changed from Closed to In Progress

| just discovered that at least one changeset from the taxeditor project (taxeditor|98baf5f8 ) which fixed a bug #6389 has not yet been incorporated
into cdmlib-cache. This is of course also one of the tasks to accomplish for this issue.

all changes since Fri Jan 19 17:23:04 2018 +0100 need to be considered being a candidate to patch over cdmlib-cache
Theses are:

* 98baf5f - Tue, 27 Feb 2018 14:30:33 +0100 (3 weeks ago)

| fix #6389 Fixed cache loader method - Patrick Plitzner
* e25b303 - Wed, 24 Jan 2018 14:46:03 +0100 (8 weeks ago)

| quick fix for #7212 in taxeditor - Katja Luther

#8 - 03/22/2018 03:48 PM - Andreas Kohlbecker
| cared for taxeditor|98baf5f ( #6389 )

#9 - 04/27/2018 11:22 AM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Kohlbecker

taxeditor|e25b303 ( #7212 ) seems to be already in cdmlib. | think we can close this ticket. please review if you think everything is ok.

#10 - 05/16/2018 11:33 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Assignee changed from Andreas Kohlbecker to Katja Luther

- % Done changed from 50 to 100

looks ok now!
